FROM node:lts
LABEL maintainer="Igor Barcik <"
RUN mkdir /opt/app
WORKDIR /opt/app
COPY package.json /opt/app
RUN npm install -g pnpm
RUN pnpm install
COPY . /opt/app
RUN pnpm run build
#change port if needed
EXPOSE 3000
#adjust command if needed
CMD ["pnpm", "start"]